For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet a list of all projects.
      • POSTCreate project
      • POSTValidate project ID
      • PUTUpdate project
      • DELDelete project
      • PUTUpdate project enterprise settings
      • POSTArchive project
      • POSTRevive project
      • GETGet users and groups in project
      • POSTConfigure project access
      • PUTSet users and groups to roles in the current project
      • GETGet project-role mappings
      • PUTSets roles for user
      • DELRemove project access for a user
      • PUTSets roles for group
      • DELRemove project access for a group
      • GET[BETA] List action sets.
      • POST[BETA] Create an action set.
      • PUT[BETA] Update an action set.
      • DEL[BETA] Delete an action set.
      • POST[BETA] Enables an action set.
      • POST[BETA] Disables an action set.
      • GET[BETA] Get action events for a specific action set.
      • GET[BETA] Configuration for the actions UI.
      • GETGet an overview of a project.
      • GETGet an overview project dora metrics.
      • GETGet a list of all applications for a project.
      • GETGet a list of all flag creators for a project.
      • GETGet outdated project SDKs
      • POSTAdd an environment to a project.
      • DELRemove an environment from a project.
      • POSTSet environment-default strategy
      • GETGet a health report for a project.
      • GETGet api tokens for project.
      • POSTCreate a project API token.
      • DELDelete a project API token.
      • GETGet an overview of a project insights.
      • GET[BETA] Get project status
      • GET[BETA] Get personal dashboard
      • GET[BETA] Get personal project details

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIProjects

[BETA] Get personal project details

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/personal-dashboard/:projectId
GET
/api/admin/personal-dashboard/:projectId
$curl https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId \
> -H "Authorization: <apiKey>"
1{
2 "insights": {
3 "avgHealthCurrentWindow": 80,
4 "avgHealthPastWindow": 70,
5 "totalFlags": 100,
6 "activeFlags": 98,
7 "staleFlags": 0,
8 "potentiallyStaleFlags": 2,
9 "technicalDebt": 25,
10 "health": 80
11 },
12 "onboardingStatus": {
13 "status": "first-flag-created",
14 "feature": "my-feature-flag"
15 },
16 "latestEvents": [
17 {
18 "id": 1,
19 "summary": "string",
20 "createdBy": "johndoe",
21 "createdByImageUrl": "https://example.com/242x200.png",
22 "createdAt": "2021-09-01T12:00:00Z"
23 }
24 ],
25 "owners": [
26 {
27 "ownerType": "user",
28 "name": "User Name",
29 "imageUrl": "https://example.com/image.jpg",
30 "email": "user@example.com"
31 }
32 ],
33 "roles": [
34 {
35 "name": "Owner",
36 "id": 4,
37 "type": "project"
38 }
39 ]
40}

[BETA] This API is in beta state, which means it may change or be removed in the future.

Return personal dashboard project events, owners, user roles and onboarding status

Was this page helpful?
Previous

Validate signup token

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Response

personalDashboardProjectDetailsSchema
insightsobject
Insights for the project, including flag data and project health information.
onboardingStatusobject
The current onboarding status of a project.
latestEventslist of objects
The latest events for the project.
ownerslist of objects

The users and/or groups that have the “owner” role in this project. If no such users or groups exist, the list will contain the “system” owner instead.

roleslist of objects
The list of roles that the user has in this project.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error